Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::FilePath Class Reference

ファイルパス More...

`#include <FilePath.h>`

List of all members.

## Public Member Functions
| FilePath ()
| コンストラクタ
| FilePath (const String &path)
| コンストラクタ
virtual void | setPath (const String &path)
| パスの設定
virtual String | getPath () const
| パスの取得
virtual String | getName () const
| 名前の取得
virtual String | getFileName () const
| ファイル名の取得
virtual String | getExtension () const
| 拡張子の取得
virtual String | getFolderPath () const
| フォルダパスの取得
virtual bool | existFile () const
| ファイルが存在するか

## Detailed Description

ファイルパス

Definition at line 34 of file FilePath.h.

## Constructor & Destructor Documentation

Lamp::FilePath::FilePath | ( | const String & | path | ) | `[inline]`

  | コンストラクタ Parameters:
  path | パス
Definition at line 45 of file FilePath.h.

## Member Function Documentation

bool Lamp::FilePath::existFile | ( |  | ) | const`[virtual]`

| ファイルが存在するか Returns: 存在すればtrue Definition at line 76 of file FilePath.cpp. References Lamp::String::getBytes(), and NULL. Referenced by Lamp::TextSceneLoader::load(), Lamp::TextCollisionLoader::load(), Lamp::TextAnimationLoader::load(), Lamp::SoundList::load(), Lamp::BinarySceneLoader::load(), Lamp::BinaryAnimationLoader::load(), Lamp::Sprite::loadPicture(), Lamp::SceneFramework::loadScene(), and Lamp::OggVorbisReaderImpl::readHeader().

String Lamp::FilePath::getExtension | ( |  | ) | const`[virtual]`

| 拡張子の取得 Returns: 小文字の拡張子 Definition at line 54 of file FilePath.cpp. References Lamp::String::getLastIndexOf(), Lamp::String::getLowerCase(), and Lamp::String::getSubstring(). Referenced by Lamp::OggVorbisReader::isOggVorbisFileName(), Lamp::WaveReader::isWaveFileName(), Lamp::Sprite::loadPicture(), Lamp::SceneFramework::loadScene(), Lamp::TextSceneLoader::readPictureList(), and Lamp::BinarySceneLoader::readPictureList().

String Lamp::FilePath::getFileName | ( |  | ) | const`[virtual]`

| ファイル名の取得 Returns: 拡張子を含むファイル名 Definition at line 42 of file FilePath.cpp. References Lamp::String::getLastIndexOf(), and Lamp::String::getSubstring(). Referenced by Lamp::SoundManager::createStaticSound(), Lamp::SoundManager::createStaticSound3D(), Lamp::SoundManager::createStreamSound(), Lamp::SoundManager::createStreamSound3D(), Lamp::ChangePicturePathFilter::filterPicture(), and getName().

String Lamp::FilePath::getFolderPath | ( |  | ) | const`[virtual]`

| フォルダパスの取得 Returns: フォルダパス Definition at line 64 of file FilePath.cpp. References Lamp::String::getLastIndexOf(), and Lamp::String::getSubstring(). Referenced by Lamp::TextSceneLoader::load(), Lamp::BinarySceneLoader::load(), Lamp::TextSceneSaver::save(), Lamp::BinarySceneSaver::save(), Lamp::TextSceneSaver::writePicture(), and Lamp::BinarySceneSaver::writePicture().

String Lamp::FilePath::getName | ( |  | ) | const`[virtual]`

| 名前の取得 Returns: 拡張子を含まないファイル名 Definition at line 32 of file FilePath.cpp. References getFileName(), Lamp::String::getLastIndexOf(), and Lamp::String::getSubstring(). Referenced by Lamp::SceneFramework::loadScene(), and Lamp::SoundCache::SoundArray::toString().

virtual String Lamp::FilePath::getPath | ( |  | ) | const`[inline, virtual]`

| パスの取得 Returns: パス Definition at line 57 of file FilePath.h. Referenced by Lamp::Sprite::loadPicture(), Lamp::SceneFramework::loadScene(), Lamp::WaveReader::readHeader(), and Lamp::OggVorbisReaderImpl::readHeader().

virtual void Lamp::FilePath::setPath | ( | const String & | path | ) | `[inline, virtual]`

  | パスの設定 Parameters:
  path | パス
Definition at line 51 of file FilePath.h. Referenced by Lamp::SceneFramework::loadScene().

The documentation for this class was generated from the following files:

- FilePath.h
- FilePath.cpp